<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<?php $group_choices_array = $this->app->getGroupIDArrayForPermission(); ?>
<?php global $SystemConfig, $CurrentUser; ?>

<schlix-data-editor id="schlix-<?= $this->app_name ?>-admin" class="schlix-data-editor" data-app="<?= $this->app->getApplicationNameOnly() ?>" data-main-app-description="<?= $this->app->getApplicationDescription() . ' ' . ___(': Configuration') ?>"  data-schlix-controller="SCHLIX.CMS.UsersAdmin" data-model="<?= $this->getDataModelURL() ?>" data-field-id="<?= $this->app->getFieldID() ?>" data-cancel-warning="true">

    <!-- end sidebar -->
    <div class="content">
        <?php
        ///////////////////////////////
        // Display save error, if any
        $this->displayLastConfigSaveResult();
        ///////////////////////////////
        ?>        

        <form method="post" action="<?= $this->createFriendlyAdminURL("action=saveconfig") ?>" autocomplete="off" >


            <div class="row">
                <div class="col-md-8">
                    <!-- -->
                </div>
                <div class="col-md-4 text-right" schlix-id="data-editor-toolbar">
                    <button type="submit" class="btn btn-success schlix-command-button" data-schlix-command="save-item" name="btn_save"><i class="fa fa-check"></i> <?= ___('Save'); ?></button>
                    <button type="submit" class="btn btn-danger schlix-command-button" data-schlix-command="cancel-item" name="btn_cancel"><i class="fa fa-times"></i> <?= ___('Cancel'); ?></button>
                </div>            
            </div>        


            <?= \INPUT::CSRF() ?>

            <!-- begin tabs -->
            <div class="schlixui-tabcontainer">
                <!-- tab navigation -->
                <ul class="schlixui-tabheader">
                    <li class="selected"><a href="#tab_app"><em><?= ___('Application Configuration') ?></em></a></li>                
                    <li><a href="#tab_open_users"><em><?= ___('Open Users Configuration') ?></em></a></li>
                    <li><a href="#tab_text"><em><?= ___('Text Customization') ?></em></a></li>
                    <li><a href="#tab_userpic"><em><?= ___('User picture sizes') ?></em></a></li>
                    <li><a href="#tab_permissions"><em><?= ___('Permissions') ?></em></a></li>
                </ul>
                <!-- end tab navigation -->
                <!-- tab ocntent -->
                <div class="schlixui-tabcontent">
                    <!-- tab -->
                    <!-- tab -->
                    <div id="tab_app">
                        <!--config -->
                        <div class="row">
                            <div class="col-md-6 col-lg-6">
                                <schlix-config:app_alias class='form-control' />
                                <schlix-config:app_description class='form-control' />
                                <schlix-config:checkbox config-key='bool_force_ssl_authentication' label="<?= ___('Force SSL for login/registration (will not work if you do not have SSL installed') ?>" />
                                <schlix-config:checkbox config-key='bool_force_ssl_admin_authentication' label="<?= ___('Force SSL for login to the Administration backend (will not work if you don\'t have SSL installed') ?>" />
                                <br />
                                <schlix-config:checkbox config-key='bool_enable_captcha_user_registration' label="<?= ___('Enable CAPTCHA for user registration') ?>" />
                                <schlix-config:checkbox config-key='bool_enable_captcha_user_activation' label="<?= ___('Enable CAPTCHA for user activation') ?>" />
                                <schlix-config:checkbox config-key='bool_enable_captcha_forgot_password' label="<?= ___('Enable CAPTCHA for forgot password request') ?>" />

                            </div>
                            <div class="col-md-6 col-lg-6">
                                <schlix-config:checkbox config-key='bool_allow_login_by_email' label="<?= ___('Enable Login by Email') ?>" />                                               
                                <schlix-config:checkbox config-key='bool_enable_registration' label="<?= ___('Enable Registration') ?>" />

                                <schlix-config:checkbox config-key='bool_requires_activation_by_email' label="<?= ___('Requires user to verify activation after registration') ?>" />
                                <schlix-config:checkbox config-key='bool_allow_public_profile_view' label="<?= ___('Enable public profile view') ?>" />


                                <schlix-config:checkbox config-key='bool_require_dob' label="<?= ___('Require date of birth to be specified during registration / profile edit') ?>" />
                                <schlix-config:checkbox config-key='bool_require_gender' label="<?= ___('Require gender to be specified during registration / profile edit') ?>" />                        

                                <schlix-config:integerbox class="form-control" min="0" max="100" config-key='int_number_of_login_retry_before_captcha' label="<?= ___('Number of invalid logins before displaying captcha') ?>" />
                                <schlix-config:integerbox class="form-control" min="0" max="150" config-key='int_minimum_age_registration' label="<?= ___('Minimum age for registration (require date of birth to be enabled)') ?>" />
                                <schlix-config:integerbox class="form-control" min="1" max="30" config-key='int_days_forgot_password' label="<?= ___('Validity period of password reset (days))') ?>"  />

                                <schlix-config:dropdownlist class="form-control" config-key='int_default_newuser_group_id' required="required" label="<?= ___('Default Group for New User Registration') ?>">
                                    <schlix-config:option value=""><?= ___('Please select') ?></schlix-config:option>
                                    <?php foreach ($group_choices_array as $group): ?>
                                        <schlix-config:option value="<?= SAFE_HTML($group['value']) ?>"><?= SAFE_HTML($group['label']) ?></schlix-config:option>
                                    <?php endforeach ?>
                                </schlix-config:dropdownlist> 

                            </div>                            
                        </div>
                        <!-- end config -->
                    </div>
                    <!-- tab -->
                    <div id="tab_open_users">

                        <!-- Facebook -->
                        <div class="row">
                            <!-- col -->
                            <div class="col-md-6">
                                <h3><i class="fa fa-facebook"></i> Facebook</h3>

                                <schlix-config:checkbox config-key='bool_facebook_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_facebook_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_facebook_secret' label="<?= ___('Secret') ?>" />
                                <!-- instruction -->
                                <p><?= ___('Registration') ?>: <a href="https://www.facebook.com/developers/" target="_blank">https://www.facebook.com/developers/</a><br />
                                    <?= ___('Set the domain to') ?>: <strong><?= parse_url(SCHLIX_SITE_URL, PHP_URL_HOST); ?></strong></p>

                            </div>
                        <!-- Twitter -->

                            <div class="col-md-6">
                        <h3><i class="fa fa-twitter"></i> Twitter</h3>                        
                                
                                <schlix-config:checkbox config-key='bool_twitter_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:checkbox config-key='bool_twitter_include_email' label='<?= ___('Include email address (must be enabled in your Twitter App settings)') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_twitter_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_twitter_secret' label="<?= ___('Secret') ?>" />
                                <p><?= ___('Registration') ?>: <a href="https://apps.twitter.com" target="_blank">https://apps.twitter.com</a></p>
                            </div>
                            
                        </div>
                        
                        <!-- row -->
                        <div class="row">
                            <!-- Google -->
                            <div class="col-md-6">
                                <h3><i class="fa fa-google"></i> Google</h3>
                                <schlix-config:checkbox config-key='bool_google_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_google_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_google_secret' label="<?= ___('Secret') ?>" />
                                <!-- instruction -->
                                <div class="alert alert-danger">
                                    <p><?= ___('Due to configuration conflict in .htaccess, Google OAuth 2 is still not working in SCHLIX CMS v2.1.x') ?></p>
                                </div>

                                <p><?= ___('Registration') ?>: <a href="https://code.google.com/apis/console/" target="_blank">https://code.google.com/apis/console/</a><br />
                                    <?= ___('Authorized redirect URI') ?>: <strong><?= SCHLIX_SITE_URL . $this->app->createFriendlyURL("action=openprocess"); ?>?hauth.done=Google</strong><br />
                                    <?= ___('Authorized Javascript origin') ?>: <strong><?= parse_url(SCHLIX_SITE_URL, PHP_URL_HOST); ?></strong></p>

                            </div>
                            <!-- Microsoft/Live -->
                            <div class="col-md-6">
                        <h3><i class="fa fa-windows"></i> Microsoft/Live</h3>
                                
                                <schlix-config:checkbox config-key='bool_live_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_live_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_live_secret' label="<?= ___('Secret') ?>" />
                                <p><?= ___('Registration') ?>: <a href="https://apps.dev.microsoft.com" target="_blank">https://apps.dev.microsoft.com</a></p>
                            </div>

                            
                        </div>

                        <div class="row">
                           <!-- LinkedIn -->
                            <div class="col-md-6">
                        <h3><i class="fa fa-linkedin"></i> LinkedIn</h3>
                                
                                <schlix-config:checkbox config-key='bool_linkedin_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_linkedin_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_linkedin_secret' label="<?= ___('Secret') ?>" /> 
                                <p><?= ___('Registration') ?>: <a href="https://developer.linkedin.com" target="_blank">https://developer.linkedin.com</a></p>
                                
                            </div>
                            <div class="col-md-6">
                                <h3><i class="fa fa-yahoo"></i> Yahoo</h3>
                                <schlix-config:checkbox config-key='bool_yahoo_enabled' label='<?= ___('Enable') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_twitter_key' label='<?= ___('Key') ?>' />
                                <schlix-config:textbox class="form-control"  config-key='str_twitter_secret' label="<?= ___('Secret') ?>" />
                                <!-- instruction -->
                                <p><?= ___('Registration') ?>: <a href="https://developer.yahoo.com/oauth/" target="_blank">https://developer.yahoo.com/oauth/</a></p>
                            </div>
                        </div>
                        <hr />
 
                    </div>
                    <!-- tab -->
                    <div id="tab_text">
                        <schlix-config:textarea config-key='str_registration_welcome_text' label="<?= ___('Registration welcome text') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_login_welcome_text' label="<?= ___('Login welcome text') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_authenticated_users_welcome_text' label="<?= ___('Welcome text for authenticated users') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_forgot_password_text' label="<?= ___('Forgot password instruction text') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_password_reset_text' label="<?= ___('Password reset instruction text') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_myprofile_text' label="<?= ___('User profile instruction text') ?>" class="wysiwyg"  />
                        <schlix-config:textarea config-key='str_password_change_text' label="<?= ___('Change Password instruction text') ?>" class="wysiwyg"  />

                    </div>
                    <div id="tab_userpic">
                        <!--config -->
                        <div class="row">
                            <!-- col -->
                            <div class="col-md-4">
                                <fieldset><legend><?= ___('Small Image') ?></legend>
                                    <div class="form-inline">
                                        <schlix-config:integerbox  min="16" max="512" config-key='int_small_width' required="required" class='form-control' style="width:100px" config-default-value="32" />                                                             x                            
                                        <schlix-config:integerbox  min="16" max="512" config-key='int_small_height' required="required" class='form-control' style="width:100px" config-default-value="32" />
                                        <?= ___('pixels') ?>.
                                    </div>
                                </fieldset>
                            </div>
                            <!-- col -->
                            <div class="col-md-4">
                                <fieldset><legend><?= ___('Medium Image') ?></legend>
                                    <div class="form-inline">
                                        <schlix-config:integerbox  min="16" max="512" config-key='int_medium_width' required="required" class='form-control' style="width:100px" config-default-value="128" />                            
                                        x                            
                                        <schlix-config:integerbox  min="16" max="512" config-key='int_medium_height' required="required" class='form-control' style="width:100px" config-default-value="128" />
                                        <?= ___('pixels') ?>.
                                    </div>
                                </fieldset>                               
                            </div>
                            <!-- col -->
                            <div class="col-md-4">
                                <fieldset><legend><?= ___('Small Image') ?></legend>
                                    <div class="form-inline">
                                        <schlix-config:integerbox  min="16" max="1920"  config-key='int_large_width' required="required" class='form-control' style="width:100px" config-default-value="256" />                            
                                        x                            
                                        <schlix-config:integerbox  min="16" max="1920"  config-key='int_large_height' required="required" class='form-control' style="width:100px" config-default-value="256" />
                                        <?= ___('pixels') ?>.
                                    </div>
                                </fieldset>                                
                            </div>                            
                        </div>
                        <!-- end config -->

                    </div>

                    <div id="tab_permissions">

                        <schlix-config:permission-usergroups config-key='array_groups_allowed_for_backend_access' label="<?= ___('Enable backend access for the following user groups') ?>" />

                        <p><?= ___('Administrators will always be allowed to access to the backend, regardless of the settings above. If nothing is specified, all users who already have access to the backend can access this extension.'); ?></p>
                    </div>
                </div>
            </div>
            <br />
        </form>
    </div>
</schlix-data-editor>